com.holonplatform.datastore.mongo.spring.boot.internal

## Class MongoReactiveDatastoreAutoConfigurationRegistrar

- java.lang.Object
- - com.holonplatform.datastore.mongo.spring.boot.internal.MongoReactiveDatastoreAutoConfigurationRegistrar

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.context.EnvironmentAware

      public class MongoReactiveDatastoreAutoConfigurationRegistrar
      extends Object
      implements org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.context.EnvironmentAware

  Registrar for MongoDB reactive datastore beans registration.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoReactiveDatastoreAutoConfigurationRegistrar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `void` | `setBeanClassLoader(ClassLoader classLoader)`
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
    `void` | `setEnvironment(org.springframework.core.env.Environment environment)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoReactiveDatastoreAutoConfigurationRegistrar

          public MongoReactiveDatastoreAutoConfigurationRegistrar()

  - ### Method Detail

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader classLoader)

      Specified by:
        `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### setEnvironment

          public void setEnvironment(org.springframework.core.env.Environment environment)

      Specified by:
        `setEnvironment` in interface `org.springframework.context.EnvironmentAware`

    - #### registerBeanDefinitions

          public void registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata,
                                              org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

      Specified by:
        `registerBeanDefinitions` in interface `org.springframework.context.annotation.ImportBeanDefinitionRegistrar`

Copyright © 2019 The Holon Platform. All rights reserved.